#
# spec file for package ipw-firmware (Version 7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ipw-firmware
Summary:        Firmware for Intel PRO/Wireless WLAN Cards
Version:        7
Release:        12.2
Group:          Hardware/Other
License:        Commercial, Other License(s), see package
%define version_2100 1.3
%define version_2200 2.4
%define version_3945 1.13
Source0:        ipw2100-fw-%{version_2100}.tar.bz2
Source1:        ipw2200-fw-%{version_2200}.tar.bz2
Source2:        ipw2200-fw-2.3.tar.bz2
Source3:        ipw2200-fw-2.2.tar.bz2
Source4:        ipw3945-ucode-%{version_3945}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
PreReq:         module-init-tools grep
# Modules: ipw2100.ko ipw2200.ko
Supplements: modalias(pci:v00008086d00001043sv0000103Csd00002741bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000252[0123456789BCD]bc*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000255[01345]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000256[0123567]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd000025[78]0bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000258[123567]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000259[012368]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd000025A0bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000270[12]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000271[12]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000272[12]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000273[12]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000274[12]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000275[1234]bc*sc*i*)
Supplements: modalias(pci:v00008086d00001043sv00008086sd0000276[12]bc*sc*i*)
Supplements: modalias(pci:v00008086d0000104Fsv*sd*bc*sc*i*)
Supplements: modalias(pci:v00008086d0000422[0134]sv*sd*bc*sc*i*)
# Generated with: extract-modaliases -i ipw* kernel-default.rpm
# Modules: ipw3945.ko
Supplements: modalias(pci:v00008086d0000422[27]sv*sd*bc*sc*i*)
# Generated with: extract-modaliases -i ipw* wlan-kmp-default.rpm

%description
This package contains firmware binaries needed for Intel PRO/Wireless
2100/2200BG (aka Centrino) WLAN cards. The package is covered by the
Intel license.	See http://ipw2100.sourceforge.net/firmware.php?fid=4.



%debug_package
%prep
%setup0 -c
%setup1 -T -D -a 1
%setup2 -T -D -a 2
%setup3 -T -D -a 3
%setup4 -T -D -a 4

%build

%install
mkdir -p %{buildroot}/lib/firmware
cp *fw %{buildroot}/lib/firmware
cp ipw3945-ucode-%{version_3945}/ipw3945.ucode %{buildroot}/lib/firmware
cp LICENSE %{buildroot}/lib/firmware/LICENSE.ipw2x00
cp ipw3945-ucode-%{version_3945}/LICENSE.ipw3945-ucode %{buildroot}/lib/firmware

%post
/sbin/lsmod | grep -q ^ipw2100 && { rmmod ipw2100; modprobe ipw2100; }
/sbin/lsmod | grep -q ^ipw2200 && { rmmod ipw2200; modprobe ipw2200; }
/sbin/lsmod | grep -q ^ipw3945 && { rmmod ipw3945; modprobe ipw3945; }
exit 0

%files
%defattr(-,root,root)
%dir /lib/firmware
/lib/firmware/*

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog -n ipw-firmware
* Mon Mar 20 2006 - jg@suse.de
- fixed Supplements (bug 159079)
* Wed Mar 08 2006 - cthiel@suse.de
- Prereq module-init-tools and grep, to make %%post scripts work
* Tue Mar 07 2006 - agruen@suse.de
- Add modalias tags (155357).
* Mon Feb 27 2006 - jg@suse.de
- added ipw3945 firmware
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 08 2005 - jg@suse.de
- added ipw2200 firmware version 2.4 (latest version)
- added ipw2200 firmware version 2.2 (needed for ipw2200 version
  that comes with kernel 2.6.14)
* Fri Aug 19 2005 - ro@suse.de
- removed dropped hotplug package from nfb and requires
* Wed Jul 13 2005 - jg@suse.de
- updated ipw2200 firmware to version 2.3
* Wed Jan 12 2005 - jg@suse.de
- updated ipw2200 firmware to version 2.2
* Wed Dec 15 2004 - jg@suse.de
- updated ipw2200 firmware to version 2.1
* Fri Oct 01 2004 - jg@suse.de
- moved firmware binaries to /lib/firmware (bug 46583)
- reloading ipw modules after installation, so the modules get
  reinitialized with the firmware (bug 46556)
* Wed Sep 29 2004 - jg@suse.de
- updated ipw2100 firmware to version 1.3 (needed for latest
  ipw2100 driver)
* Mon Sep 06 2004 - jg@suse.de
- updated ipw2200 firmware to version 2.0
* Thu Sep 02 2004 - jg@suse.de
- initial package
